using EVCB_OCPP.Packet.Features.Core;
using EVCB_OCPP.Packet.Messages.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.Core
{
    public class ChangeConfigurationFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.ChangeConfiguration.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(ChangeConfigurationConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(ChangeConfigurationRequest);
        }
    }
}
